from setuptools import setup

setup(
    name="pytest-dockerc",
    use_scm_version=True,
    description="Run, manage and stop Docker Compose project from Docker API",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    author="Nicolas Gelot",
    author_email="nicolas.gelot@vadesecure.com",
    url="https://gitlab.com/nicofonk/pytest-dockerc",
    packages=["pytest_dockerc"],
    install_requires=["pytest>=3.0", "docker-compose>=1.17.1"],
    extras_require={"tests": ["requests"]},
    entry_points={"pytest11": ["dockerc = pytest_dockerc.plugin"]},
    setup_requires=["setuptools_scm"],
    license="MIT",
    keywords="py.test pytest docker docker-compose container",
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Framework :: Pytest",
        "Intended Audience :: Developers",
        "Operating System :: POSIX",
        "Operating System :: Microsoft :: Windows",
        "Operating System :: MacOS :: MacOS X",
        "Topic :: Software Development :: Quality Assurance",
        "Topic :: Software Development :: Testing",
        "Topic :: Utilities",
        "Programming Language :: Python",
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
    ],
)
